Bug 81394 - [maintainer update] Update net/vnc to 4.1.1
Summary: [maintainer update] Update net/vnc to 4.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-23 12:30 UTC by james
Modified: 2005-05-26 14:08 UTC (History)
0 users

See Also:


Attachments
vnc4.patch (15.15 KB, patch)
2005-05-23 12:30 UTC, james
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description james 2005-05-23 12:30:02 UTC
	The patch below updates the net/vnc port from version 3.3.7 to
	4.1.1 of the VNC client and server.

	All of the files currently in the vnc/files directory are consigned
	to the Attic. They are:

	patch-Xvnc::config::cf::FreeBSD.cf
	patch-Xvnc::config::cf::Imake.cf
	patch-Xvnc::config::cf::vnc.def
	patch-Xvnc::config::imake::imakemdep.h
	patch-Xvnc::include::Xos.h
	patch-Xvnc::programs::Xserver::cfb::stipsparc.s
	patch-Xvnc::programs::Xserver::cfb::stipsprc32.s

	If it is more convenient, a complete tarball of the updated
	port is at http://romana.now.ie/software/vnc4.tgz

How-To-Repeat: 	
	N/A
Comment 1 Pav Lucistnik freebsd_committer 2005-05-24 11:57:31 UTC
State Changed
From-To: open->feedback

I don't see vnc.so module being built here: 

http://hood.oook.cz/tb/errors/5-amd64-FreeBSD/vnc-4.1.1.log 

install  -o root -g wheel -m 444 /work/a/ports/net/vnc/work/vnc-4_1_1-unixsrc/unix/xc/programs/Xserver/vnc/module/vnc.so  /usr/X11R6/lib/modules/extensions 
install: /work/a/ports/net/vnc/work/vnc-4_1_1-unixsrc/unix/xc/programs/Xserver/vnc/module/vnc.so: No such file or directory 
*** Error code 71 


Comment 2 Pav Lucistnik freebsd_committer 2005-05-24 11:57:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 3 Pav Lucistnik freebsd_committer 2005-05-26 12:26:35 UTC
James Raftery pí¹e v èt 26. 05. 2005 v 11:32 +0100:

> On Tue, May 24, 2005 at 05:20:42PM +0200, Pav Lucistnik wrote:
> > Another problem with your vnc port, it wants to install vnc.so
> > into /usr/X11R6/lib/modules/extensions. This directory usually don't
> > exist, thus installation fails.
> 
> Thanks. I've updated the skeleton to
> 
>  1. Create /usr/X11R6/lib/modules/extensions if required
>  2. Only attempt to install vnc.so if it exists (to cater for
>     silent failures like you've found)


What about deinstallation? Trouble here is that on FreeBSD 4.X it's part
of mtree, on FreeBSD 5.X it's not.

> > Should the port have RUN_DEPENDS on X server when WITHOUT_SERVER is not
> > specified?
> 
> I think that's too much of a burden. I would prefer to place the
> vnc.so module where an X server would find it but not force the user
> to install X to make use of it.


Is the vnc port with server pieces actually useful without X server?

> An updated patch (against the current vnc 3.3.7 skeleton)  is 
> attached and I've updated the tarball at 
> http://romana.now.ie/software/vnc4.tgz


Nothing was attached and the website is refusing connections.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

94 outdated ports on the box,
94 outdated ports.
Portupgrade one, an hour 'til done,
82 outdated ports on the box.
Comment 4 james 2005-05-26 12:41:51 UTC
On Thu, May 26, 2005 at 01:26:35PM +0200, Pav Lucistnik wrote:
> James Raftery píše v ?t 26. 05. 2005 v 11:32 +0100:
> >  1. Create /usr/X11R6/lib/modules/extensions if required
> >  2. Only attempt to install vnc.so if it exists (to cater for
> >     silent failures like you've found)
> 
> What about deinstallation? Trouble here is that on FreeBSD 4.X it's part
> of mtree, on FreeBSD 5.X it's not.

I don't understand the implications of that. Is it that the port
shouldn't try to remove directories under /usr/X11R6 on 4.X ?

> Is the vnc port with server pieces actually useful without X server?

Yes, completely so. It builds a self-contained VNC-enabled X server
in the Xvnc binary. The vnc.so module is the only thing that interacts
with the machines `real' X server. It gives access to display :0.

> Nothing was attached and the website is refusing connections.

So it is. Blast. While I sort that out, I'll send you the 
tarball in a seperate email (no point in polluting GNATS with it).


Thanks again,
james
-- 
Times flies like an arrow. Fruit flies like bananas.
Comment 5 Pav Lucistnik freebsd_committer 2005-05-26 12:53:14 UTC
James Raftery pí¹e v èt 26. 05. 2005 v 12:41 +0100:
> On Thu, May 26, 2005 at 01:26:35PM +0200, Pav Lucistnik wrote:
> > James Raftery pí¹e v ?t 26. 05. 2005 v 11:32 +0100:
> > >  1. Create /usr/X11R6/lib/modules/extensions if required
> > >  2. Only attempt to install vnc.so if it exists (to cater for
> > >     silent failures like you've found)
> > 
> > What about deinstallation? Trouble here is that on FreeBSD 4.X it's part
> > of mtree, on FreeBSD 5.X it's not.
> 
> I don't understand the implications of that. Is it that the port
> shouldn't try to remove directories under /usr/X11R6 on 4.X ?


mtree is a directory structure created by system in /usr/X11R6,
containing basic entries like

/usr/X11R6/bin
/usr/X11R6/include
/usr/X11R6/lib etc..

Ports should never remove directories created by mtree, because it's
generally expected that those directories "are there".

Now comes the problem. vnc port installs into /usr/local,
not /usr/X11R6, thus system don't create mtree in /usr/X11R6 for it.
So, when installed on system where no /usr/X11R6 using port have been
ever installed, it should clean up lib/modules/extensions after itself,
but on system where /usr/X11R6 mtree was already deployed, it must not
touch it.

Now this is very tricky to wire into a dummy package.

I'll take another look on it and try to fix it in most elegant way.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Why did the stoplight turn red?
You would too, if you had to change in front of all those people.
Comment 6 Pav Lucistnik freebsd_committer 2005-05-26 14:08:45 UTC
State Changed
From-To: feedback->closed

Committed, thanks!